// +-------------------------------- DISCLAIMER ---------------------------------+
// |                                                                             |
// | This application program is provided to you free of charge as an example.   |
// | Despite the considerable efforts of Euresys personnel to create a usable    |
// | example, you should not assume that this program is error-free or suitable  |
// | for any purpose whatsoever.                                                 |
// |                                                                             |
// | EURESYS does not give any representation, warranty or undertaking that this |
// | program is free of any defect or error or suitable for any purpose. EURESYS |
// | shall not be liable, in contract, in torts or otherwise, for any damages,   |
// | loss, costs, expenses or other claims for compensation, including those     |
// | asserted by third parties, arising out of or in connection with the use of  |
// | this program.                                                               |
// |                                                                             |
// +-----------------------------------------------------------------------------+


// OeVProjectSample.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "OeVProjectSample.h"
#include "OeVProjectSampleDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COeVProjectSampleApp

BEGIN_MESSAGE_MAP(COeVProjectSampleApp, CWinApp)
	//{{AFX_MSG_MAP(COeVProjectSampleApp)
	ON_COMMAND(ID_HELP_APPLICATIONINTRODUCTION, OnHelpApplicationintroduction)
	//}}AFX_MSG_MAP
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COeVProjectSampleApp construction

COeVProjectSampleApp::COeVProjectSampleApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance

}

/////////////////////////////////////////////////////////////////////////////
// The one and only COeVProjectSampleApp object

COeVProjectSampleApp theApp;

/////////////////////////////////////////////////////////////////////////////
// COeVProjectSampleApp initialization

BOOL COeVProjectSampleApp::InitInstance()
{
	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	//  of your final executable, you should remove from the following
	//  the specific initialization routines you do not need.

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	COeVProjectSampleDlg dlg;
	m_pMainWnd = &dlg;

	OnHelpApplicationintroduction();

	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}

void COeVProjectSampleApp::OnHelpApplicationintroduction() 
{
	// TODO: Add your command handler code here
	MessageBox(NULL, "Load an image, then use your mouse to drag and resize the ROI.\n\n"
    "Suggested image: any gray level image.\n"
    "Required license: Any\n",
    "OeVProjectSample", MB_OK | MB_ICONINFORMATION);		
}
